Threat Encyclopedia

PowerDNS.Authoritative.Server.CVE-2021-36754.DoS

description-logoDescription

This indicates an attack attempt to exploit a Denial of Service Vulnerability in PowerDNS Authoritative Server.
The vulnerability is due to an out-of-bound exception caused by a specific query. A remote attacker can exploit this vulnerability by sending a crafted packet to the target server. Successful exploitation of this vulnerability could result in denial-of-service conditions due to a crash of the target service.

affected-products-logoAffected Products

PowerDNS PowerDNS Authoritative Server 4.5.0

Impact

Denial of Service: Remote attackers can crash vulnerable systems.

recomended-action-logoRecommended Actions

Apply the most recent upgrade or patch from the vendor.
https://doc.powerdns.com/authoritative/security-advisories/powerdns-advisory-2021-01.html

Telemetry

CVE References

CVE-2021-36754